### Method

# Shell NetworkAgent search_vpn_plugin

#### Declaration [src]

    void
    shell_network_agent_search_vpn_plugin (
      ShellNetworkAgent* self,
      const char* service,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

No description available.

This method completes asynchronously. Use `shell_network_agent_search_vpn_plugin_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`service`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`callback`

  Type: `GAsyncReadyCallback`

  No description available.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.